angular.module('starter.activity', [])
  .controller('blogsAddCtrl', function($scope,$faAPI,$faPopup,$ionicPopup,$faMAP,$faUploader,$faPlatform,$state,$timeout) {
    $scope.info = {
      sContent:'',
      sImages:''
    };
    $scope.baseUrl = reqUrl;
    var lin = document.getElementById('imgUpload');
    lin.addEventListener('change',function(e){
      doUpload(e);
    });
    $scope.updataFile = {
      currentSize: 0,
      totalSize: 0,
      percent:0,
      isShowLoading: false
    };
    function doUpload(e){
      var files = e.target.files;
      var fileSize = files[0].size;

      if (!$faMAP.regular.image.test(files[0].type)) {
        $faPopup.alert({
          title: '上传的文件格式不对'
        });
        $element.removeClass('ng-hide');
        $element[0].value = '';
        return;
      } else if (fileSize > 5242880) {
        $faPopup.alert({
          title: '上传的文件太大了'
        });
        $element.removeClass('ng-hide');
        $element[0].value = '';
        return;
      } else if (fileSize < 5120) {
        $faPopup.alert({
          title: '上传的文件太小了'
        });
        $element.removeClass('ng-hide');
        $element[0].value = '';
        return;
      }

      $faUploader.removeAll();
      $faUploader.addFiles(files);
      $scope.files = $faUploader.getFiles();

      $scope.updataFile.isShowLoading = true;
      $scope.updataFile.percent = 0;

      var baseUrl = '';
      if(!$faPlatform.IOSAPP && !$faPlatform.androidAPP){
        baseUrl = fileUploadUrl;
      }else{
        baseUrl = reqUrl +fileUploadUrl;
      }

      $faUploader.startUpload({
        url: baseUrl,
        concurrency: 2,
        onProgress: function(file) {
          if(file.loaded <= fileSize){
            $scope.updataFile.percent = ((file.loaded / fileSize) * 100).toFixed(2);
          }else{
            $scope.updataFile.percent = 1;
            $scope.updataFile.isShowLoading = false;
          }

          $scope.$apply();
        },
        onCompleted: function(file, res) {
          var res = angular.fromJson(res);

          if (res.statusCode === '0000') {
            var uri = res.attributes.fileUrl;
            $scope.info.sImages = uri;
            $scope.imageType = '1';
            $scope.isShowUpload = false;
            $scope.isShowUploadOk = true;
          } else {
            $faPopup.alert({
              title: $faMAP.statusCode[res.statusCode]
            });
          }
          $scope.$apply();
        }

      });
    }

    $scope.addBlogs = function () {

      if(!$scope.info.sContent && !$scope.info.sImages){
        $faPopup.alert({
          title:'请输入说说'
        })
      }else{
        $faAPI.blogs.addBlogs($scope.info).then(function(json){
          $timeout(function () {
            $state.go('blogslist');
          },1000)
        })
      }
    }

    $scope.backList = function () {
      $scope.info = {
        sContent:'',
        sImages:''
      };
      $state.go('blogslist');
    }
  })
  .controller('blogsListCtrl', function($scope, $ionicPopup,$faAPI,$state) {

    $scope.config = {
      hasNaxtPage: true,
      pageSize: 10,
      pageNo: 1,
    }
    $scope.baseUrl = reqUrl;
    $scope.list = [];

    $scope.loadMore = function(){
      $faAPI.blogs.blogList($scope.config).then(function(json){
        $scope.list = $scope.list.concat(json.list);

        $scope.config.pageNo = json.pager.nextPage;
        $scope.config.hasNaxtPage = json.pager.hasNaxtPage;
        $scope.$broadcast('scroll.infiniteScrollComplete');

      })
    };

    $scope.delete = function(id){
      var myPopup = $ionicPopup.show({
        title: '确定删除该条说说',
        scope: $scope,
        buttons: [
          {
            text: '取消',
            type: 'bolgsDeleteCancel'
          },
          {
            text: '删除',
            type: 'deletebolgs',
            onTap: function(e) {
              $faAPI.blogs.blogDelete({id:id}).then(function(json){
                $state.reload();
              })
            }
          }
        ]
      });
    }
  })
  .controller('blindHomeCtrl',function($scope,$state,$lfShare){
    $scope.random = parseInt(Math.random()*10);

    $scope.goCommit = function(){
      console.log('gocomit');
      $state.go('blindCommit');
    };

    var shareData = {
      title:'金融男女相亲群召集令',
      desc:'来这儿找个靠谱的金融圈男/女票吧~',
      link:'http://m.superfa.cn/#/blindHome',
      imgUrl:'http://lec.superfa.cn/upload/bann/20161110/1478749976226357341.jpg'
    };
    $lfShare.wechatShare(shareData);
  })
  .controller('blindCommitCtrl',function($scope,$authorize,$faAPI,$faPopup,$interval,$state,$lfShare){
      $authorize.auth();
      $scope.submitData = {};
      $scope.interval = 0;
      $scope.submitData.birthday = new Date(1990, 0,1);//默认时间
      $scope.submitData.actCode = 'JRXQ';//活动code
      $scope.submitData.sex = '2';//默认性别
      $scope.submitData.mateSelect = '1';//活动择偶首选

      $scope.getVcode = function(){
        var self = this;
        if (!$scope.submitData.mobile) {
          $faPopup.alert({
            title: '未填写手机号码'
          });
        } else if (!/^1\d{10}$/.test($scope.submitData.mobile)) {
          $faPopup.alert({
            title: ' 手机号码格式错误'
          });
        } else{

          $faAPI.media.sendLoginVcode({mobile: $scope.submitData.mobile}).then(function() {
            $interval.cancel(self.sendTimer);
            $scope.interval = 90;
            self.sendTimer = $interval(function() {
              if ($scope.interval > 0) {
                $scope.interval--;
              } else {
                $interval.cancel(self.sendTimer);
                $scope.interval = 0;
              }
            }, 1000);
          });
        }
      };
      $scope.playCommit = function(){
        if(!$scope.submitData.remark){
          $scope.submitData.remark = '这家伙很懒，什么都没留下';
        }
        $faAPI.activity.financingBlind($scope.submitData).then(function(){
            $state.go('blindEnd');
        });
      };
      $scope.initPicker = function(){
        //var picker = document.getElementById('');

        $("#city-picker").cityPicker({
          toolbarTemplate: '<header >\
          <div class="picker-confirm close-picker">确定</div>\
          <h1 class="picker-title">请选择所在地</h1>\
          </header>'
        });
      };
      $scope.rawCitiesData = [
        {
          "name":"上海",
          "type":0
        },
        {
          "name":"安徽",
          "type":1
        },
        {
          "name":"北京",

          "type":0
        },
        {
          "name":"重庆",

          "type":0
        },
        {
          "name":"福建",

          "type":1
        },
        {
          "name":"甘肃",
          "type":1
        },
        {
        "name":"广东",

        "type":1
      },
        {
          "name":"广西",

          "type":1
        },
        {
          "name":"贵州",
          "sub":[
            {
              "name":"请选择",
              "sub":[

              ]
            },
            {
              "name":"贵阳",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"南明区"
                },
                {
                  "name":"云岩区"
                },
                {
                  "name":"花溪区"
                },
                {
                  "name":"乌当区"
                },
                {
                  "name":"白云区"
                },
                {
                  "name":"小河区"
                },
                {
                  "name":"清镇市"
                },
                {
                  "name":"开阳县"
                },
                {
                  "name":"修文县"
                },
                {
                  "name":"息烽县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"六盘水",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"钟山区"
                },
                {
                  "name":"水城县"
                },
                {
                  "name":"盘县"
                },
                {
                  "name":"六枝特区"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"遵义",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"红花岗区"
                },
                {
                  "name":"汇川区"
                },
                {
                  "name":"赤水市"
                },
                {
                  "name":"仁怀市"
                },
                {
                  "name":"遵义县"
                },
                {
                  "name":"绥阳县"
                },
                {
                  "name":"桐梓县"
                },
                {
                  "name":"习水县"
                },
                {
                  "name":"凤冈县"
                },
                {
                  "name":"正安县"
                },
                {
                  "name":"余庆县"
                },
                {
                  "name":"湄潭县"
                },
                {
                  "name":"道真仡佬族苗族自治县"
                },
                {
                  "name":"务川仡佬族苗族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"安顺",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"西秀区"
                },
                {
                  "name":"普定县"
                },
                {
                  "name":"平坝县"
                },
                {
                  "name":"镇宁布依族苗族自治县"
                },
                {
                  "name":"紫云苗族布依族自治县"
                },
                {
                  "name":"关岭布依族苗族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"铜仁地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"铜仁市"
                },
                {
                  "name":"德江县"
                },
                {
                  "name":"江口县"
                },
                {
                  "name":"思南县"
                },
                {
                  "name":"石阡县"
                },
                {
                  "name":"玉屏侗族自治县"
                },
                {
                  "name":"松桃苗族自治县"
                },
                {
                  "name":"印江土家族苗族自治县"
                },
                {
                  "name":"沿河土家族自治县"
                },
                {
                  "name":"万山特区"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"毕节地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"毕节市"
                },
                {
                  "name":"黔西县"
                },
                {
                  "name":"大方县"
                },
                {
                  "name":"织金县"
                },
                {
                  "name":"金沙县"
                },
                {
                  "name":"赫章县"
                },
                {
                  "name":"纳雍县"
                },
                {
                  "name":"威宁彝族回族苗族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"黔西南布依族苗族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"兴义市"
                },
                {
                  "name":"望谟县"
                },
                {
                  "name":"兴仁县"
                },
                {
                  "name":"普安县"
                },
                {
                  "name":"册亨县"
                },
                {
                  "name":"晴隆县"
                },
                {
                  "name":"贞丰县"
                },
                {
                  "name":"安龙县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"黔东南苗族侗族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"凯里市"
                },
                {
                  "name":"施秉县"
                },
                {
                  "name":"从江县"
                },
                {
                  "name":"锦屏县"
                },
                {
                  "name":"镇远县"
                },
                {
                  "name":"麻江县"
                },
                {
                  "name":"台江县"
                },
                {
                  "name":"天柱县"
                },
                {
                  "name":"黄平县"
                },
                {
                  "name":"榕江县"
                },
                {
                  "name":"剑河县"
                },
                {
                  "name":"三穗县"
                },
                {
                  "name":"雷山县"
                },
                {
                  "name":"黎平县"
                },
                {
                  "name":"岑巩县"
                },
                {
                  "name":"丹寨县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"黔南布依族苗族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"都匀市"
                },
                {
                  "name":"福泉市"
                },
                {
                  "name":"贵定县"
                },
                {
                  "name":"惠水县"
                },
                {
                  "name":"罗甸县"
                },
                {
                  "name":"瓮安县"
                },
                {
                  "name":"荔波县"
                },
                {
                  "name":"龙里县"
                },
                {
                  "name":"平塘县"
                },
                {
                  "name":"长顺县"
                },
                {
                  "name":"独山县"
                },
                {
                  "name":"三都水族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"其他"
            }
          ],
          "type":1
        },
        {
          "name":"海南",
          "sub":[
            {
              "name":"请选择",
              "sub":[

              ]
            },
            {
              "name":"海口",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"龙华区"
                },
                {
                  "name":"秀英区"
                },
                {
                  "name":"琼山区"
                },
                {
                  "name":"美兰区"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"三亚",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"三亚市"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"五指山",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"琼海",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"儋州",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"文昌",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"万宁",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"东方",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"澄迈县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"定安县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"屯昌县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"临高县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"白沙黎族自治县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"昌江黎族自治县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"乐东黎族自治县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"陵水黎族自治县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"保亭黎族苗族自治县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"琼中黎族苗族自治县",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"其他"
            }
          ],
          "type":1
        },
        {
          "name":"河北",

          "type":1
        },
        {
          "name":"河南",

          "type":1
        },
        {
          "name":"黑龙江",

          "type":1
        },
        {
          "name":"湖北",

          "type":1
        },
        {
          "name":"湖南",

          "type":1
        },
        {
          "name":"吉林",

          "type":1
        },
        {
          "name":"江西",

          "type":1
        },
        {
          "name":"江苏",

          "type":1
        },
        {
          "name":"辽宁",

          "type":1
        },
        {
          "name":"内蒙古",

          "type":1
        },
        {
          "name":"宁夏",
          "sub":[
            {
              "name":"请选择",
              "sub":[

              ]
            },
            {
              "name":"银川",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"兴庆区"
                },
                {
                  "name":"西夏区"
                },
                {
                  "name":"金凤区"
                },
                {
                  "name":"灵武市"
                },
                {
                  "name":"永宁县"
                },
                {
                  "name":"贺兰县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"石嘴山",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"大武口区"
                },
                {
                  "name":"惠农区"
                },
                {
                  "name":"平罗县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"吴忠",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"利通区"
                },
                {
                  "name":"青铜峡市"
                },
                {
                  "name":"盐池县"
                },
                {
                  "name":"同心县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"固原",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"原州区"
                },
                {
                  "name":"西吉县"
                },
                {
                  "name":"隆德县"
                },
                {
                  "name":"泾源县"
                },
                {
                  "name":"彭阳县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"中卫",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"沙坡头区"
                },
                {
                  "name":"中宁县"
                },
                {
                  "name":"海原县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"其他"
            }
          ],
          "type":1
        },
        {
          "name":"青海",
          "sub":[
            {
              "name":"请选择",
              "sub":[

              ]
            },
            {
              "name":"西宁",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"城中区"
                },
                {
                  "name":"城东区"
                },
                {
                  "name":"城西区"
                },
                {
                  "name":"城北区"
                },
                {
                  "name":"湟源县"
                },
                {
                  "name":"湟中县"
                },
                {
                  "name":"大通回族土族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"海东地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"平安县"
                },
                {
                  "name":"乐都县"
                },
                {
                  "name":"民和回族土族自治县"
                },
                {
                  "name":"互助土族自治县"
                },
                {
                  "name":"化隆回族自治县"
                },
                {
                  "name":"循化撒拉族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"海北藏族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"海晏县"
                },
                {
                  "name":"祁连县"
                },
                {
                  "name":"刚察县"
                },
                {
                  "name":"门源回族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"海南藏族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"共和县"
                },
                {
                  "name":"同德县"
                },
                {
                  "name":"贵德县"
                },
                {
                  "name":"兴海县"
                },
                {
                  "name":"贵南县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"黄南藏族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"同仁县"
                },
                {
                  "name":"尖扎县"
                },
                {
                  "name":"泽库县"
                },
                {
                  "name":"河南蒙古族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"果洛藏族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"玛沁县"
                },
                {
                  "name":"班玛县"
                },
                {
                  "name":"甘德县"
                },
                {
                  "name":"达日县"
                },
                {
                  "name":"久治县"
                },
                {
                  "name":"玛多县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"玉树藏族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"玉树县"
                },
                {
                  "name":"杂多县"
                },
                {
                  "name":"称多县"
                },
                {
                  "name":"治多县"
                },
                {
                  "name":"囊谦县"
                },
                {
                  "name":"曲麻莱县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"海西蒙古族藏族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"德令哈市"
                },
                {
                  "name":"格尔木市"
                },
                {
                  "name":"乌兰县"
                },
                {
                  "name":"都兰县"
                },
                {
                  "name":"天峻县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"其他"
            }
          ],
          "type":1
        },
        {
          "name":"山东",

          "type":1
        },
        {
          "name":"山西",

          "type":1
        },
        {
          "name":"陕西",

          "type":1
        },


        {
          "name":"四川",

          "type":1
        },
        {
          "name":"天津",

          "type":0
        },
        {
          "name":"西藏",
          "sub":[
            {
              "name":"请选择",
              "sub":[

              ]
            },
            {
              "name":"拉萨",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"城关区"
                },
                {
                  "name":"林周县"
                },
                {
                  "name":"当雄县"
                },
                {
                  "name":"尼木县"
                },
                {
                  "name":"曲水县"
                },
                {
                  "name":"堆龙德庆县"
                },
                {
                  "name":"达孜县"
                },
                {
                  "name":"墨竹工卡县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"那曲地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"那曲县"
                },
                {
                  "name":"嘉黎县"
                },
                {
                  "name":"比如县"
                },
                {
                  "name":"聂荣县"
                },
                {
                  "name":"安多县"
                },
                {
                  "name":"申扎县"
                },
                {
                  "name":"索县"
                },
                {
                  "name":"班戈县"
                },
                {
                  "name":"巴青县"
                },
                {
                  "name":"尼玛县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"昌都地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"昌都县"
                },
                {
                  "name":"江达县"
                },
                {
                  "name":"贡觉县"
                },
                {
                  "name":"类乌齐县"
                },
                {
                  "name":"丁青县"
                },
                {
                  "name":"察雅县"
                },
                {
                  "name":"八宿县"
                },
                {
                  "name":"左贡县"
                },
                {
                  "name":"芒康县"
                },
                {
                  "name":"洛隆县"
                },
                {
                  "name":"边坝县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"林芝地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"林芝县"
                },
                {
                  "name":"工布江达县"
                },
                {
                  "name":"米林县"
                },
                {
                  "name":"墨脱县"
                },
                {
                  "name":"波密县"
                },
                {
                  "name":"察隅县"
                },
                {
                  "name":"朗县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"山南地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"乃东县"
                },
                {
                  "name":"扎囊县"
                },
                {
                  "name":"贡嘎县"
                },
                {
                  "name":"桑日县"
                },
                {
                  "name":"琼结县"
                },
                {
                  "name":"曲松县"
                },
                {
                  "name":"措美县"
                },
                {
                  "name":"洛扎县"
                },
                {
                  "name":"加查县"
                },
                {
                  "name":"隆子县"
                },
                {
                  "name":"错那县"
                },
                {
                  "name":"浪卡子县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"日喀则地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"日喀则市"
                },
                {
                  "name":"南木林县"
                },
                {
                  "name":"江孜县"
                },
                {
                  "name":"定日县"
                },
                {
                  "name":"萨迦县"
                },
                {
                  "name":"拉孜县"
                },
                {
                  "name":"昂仁县"
                },
                {
                  "name":"谢通门县"
                },
                {
                  "name":"白朗县"
                },
                {
                  "name":"仁布县"
                },
                {
                  "name":"康马县"
                },
                {
                  "name":"定结县"
                },
                {
                  "name":"仲巴县"
                },
                {
                  "name":"亚东县"
                },
                {
                  "name":"吉隆县"
                },
                {
                  "name":"聂拉木县"
                },
                {
                  "name":"萨嘎县"
                },
                {
                  "name":"岗巴县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"阿里地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"噶尔县"
                },
                {
                  "name":"普兰县"
                },
                {
                  "name":"札达县"
                },
                {
                  "name":"日土县"
                },
                {
                  "name":"革吉县"
                },
                {
                  "name":"改则县"
                },
                {
                  "name":"措勤县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"其他"
            }
          ],
          "type":1
        },
        {
          "name":"新疆",
          "sub":[
            {
              "name":"请选择",
              "sub":[

              ]
            },
            {
              "name":"乌鲁木齐",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"天山区"
                },
                {
                  "name":"沙依巴克区"
                },
                {
                  "name":"新市区"
                },
                {
                  "name":"水磨沟区"
                },
                {
                  "name":"头屯河区"
                },
                {
                  "name":"达坂城区"
                },
                {
                  "name":"东山区"
                },
                {
                  "name":"乌鲁木齐县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"克拉玛依",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"克拉玛依区"
                },
                {
                  "name":"独山子区"
                },
                {
                  "name":"白碱滩区"
                },
                {
                  "name":"乌尔禾区"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"吐鲁番地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"吐鲁番市"
                },
                {
                  "name":"托克逊县"
                },
                {
                  "name":"鄯善县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"哈密地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"哈密市"
                },
                {
                  "name":"伊吾县"
                },
                {
                  "name":"巴里坤哈萨克自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"和田地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"和田市"
                },
                {
                  "name":"和田县"
                },
                {
                  "name":"洛浦县"
                },
                {
                  "name":"民丰县"
                },
                {
                  "name":"皮山县"
                },
                {
                  "name":"策勒县"
                },
                {
                  "name":"于田县"
                },
                {
                  "name":"墨玉县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"阿克苏地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"阿克苏市"
                },
                {
                  "name":"温宿县"
                },
                {
                  "name":"沙雅县"
                },
                {
                  "name":"拜城县"
                },
                {
                  "name":"阿瓦提县"
                },
                {
                  "name":"库车县"
                },
                {
                  "name":"柯坪县"
                },
                {
                  "name":"新和县"
                },
                {
                  "name":"乌什县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"喀什地区",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"喀什市"
                },
                {
                  "name":"巴楚县"
                },
                {
                  "name":"泽普县"
                },
                {
                  "name":"伽师县"
                },
                {
                  "name":"叶城县"
                },
                {
                  "name":"岳普湖县"
                },
                {
                  "name":"疏勒县"
                },
                {
                  "name":"麦盖提县"
                },
                {
                  "name":"英吉沙县"
                },
                {
                  "name":"莎车县"
                },
                {
                  "name":"疏附县"
                },
                {
                  "name":"塔什库尔干塔吉克自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"克孜勒苏柯尔克孜自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"阿图什市"
                },
                {
                  "name":"阿合奇县"
                },
                {
                  "name":"乌恰县"
                },
                {
                  "name":"阿克陶县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"巴音郭楞蒙古自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"库尔勒市"
                },
                {
                  "name":"和静县"
                },
                {
                  "name":"尉犁县"
                },
                {
                  "name":"和硕县"
                },
                {
                  "name":"且末县"
                },
                {
                  "name":"博湖县"
                },
                {
                  "name":"轮台县"
                },
                {
                  "name":"若羌县"
                },
                {
                  "name":"焉耆回族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"昌吉回族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"昌吉市"
                },
                {
                  "name":"阜康市"
                },
                {
                  "name":"奇台县"
                },
                {
                  "name":"玛纳斯县"
                },
                {
                  "name":"吉木萨尔县"
                },
                {
                  "name":"呼图壁县"
                },
                {
                  "name":"木垒哈萨克自治县"
                },
                {
                  "name":"米泉市"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"博尔塔拉蒙古自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"博乐市"
                },
                {
                  "name":"精河县"
                },
                {
                  "name":"温泉县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"石河子",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"阿拉尔",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"图木舒克",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"五家渠",
              "sub":[

              ],
              "type":0
            },
            {
              "name":"伊犁哈萨克自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"伊宁市"
                },
                {
                  "name":"奎屯市"
                },
                {
                  "name":"伊宁县"
                },
                {
                  "name":"特克斯县"
                },
                {
                  "name":"尼勒克县"
                },
                {
                  "name":"昭苏县"
                },
                {
                  "name":"新源县"
                },
                {
                  "name":"霍城县"
                },
                {
                  "name":"巩留县"
                },
                {
                  "name":"察布查尔锡伯自治县"
                },
                {
                  "name":"塔城地区"
                },
                {
                  "name":"阿勒泰地区"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"其他"
            }
          ],
          "type":1
        },
        {
          "name":"云南",
          "sub":[
            {
              "name":"请选择",
              "sub":[

              ]
            },
            {
              "name":"昆明",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"盘龙区"
                },
                {
                  "name":"五华区"
                },
                {
                  "name":"官渡区"
                },
                {
                  "name":"西山区"
                },
                {
                  "name":"东川区"
                },
                {
                  "name":"安宁市"
                },
                {
                  "name":"呈贡县"
                },
                {
                  "name":"晋宁县"
                },
                {
                  "name":"富民县"
                },
                {
                  "name":"宜良县"
                },
                {
                  "name":"嵩明县"
                },
                {
                  "name":"石林彝族自治县"
                },
                {
                  "name":"禄劝彝族苗族自治县"
                },
                {
                  "name":"寻甸回族彝族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"曲靖",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"麒麟区"
                },
                {
                  "name":"宣威市"
                },
                {
                  "name":"马龙县"
                },
                {
                  "name":"沾益县"
                },
                {
                  "name":"富源县"
                },
                {
                  "name":"罗平县"
                },
                {
                  "name":"师宗县"
                },
                {
                  "name":"陆良县"
                },
                {
                  "name":"会泽县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"玉溪",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"红塔区"
                },
                {
                  "name":"江川县"
                },
                {
                  "name":"澄江县"
                },
                {
                  "name":"通海县"
                },
                {
                  "name":"华宁县"
                },
                {
                  "name":"易门县"
                },
                {
                  "name":"峨山彝族自治县"
                },
                {
                  "name":"新平彝族傣族自治县"
                },
                {
                  "name":"元江哈尼族彝族傣族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"保山",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"隆阳区"
                },
                {
                  "name":"施甸县"
                },
                {
                  "name":"腾冲县"
                },
                {
                  "name":"龙陵县"
                },
                {
                  "name":"昌宁县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"昭通",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"昭阳区"
                },
                {
                  "name":"鲁甸县"
                },
                {
                  "name":"巧家县"
                },
                {
                  "name":"盐津县"
                },
                {
                  "name":"大关县"
                },
                {
                  "name":"永善县"
                },
                {
                  "name":"绥江县"
                },
                {
                  "name":"镇雄县"
                },
                {
                  "name":"彝良县"
                },
                {
                  "name":"威信县"
                },
                {
                  "name":"水富县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"丽江",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"古城区"
                },
                {
                  "name":"永胜县"
                },
                {
                  "name":"华坪县"
                },
                {
                  "name":"玉龙纳西族自治县"
                },
                {
                  "name":"宁蒗彝族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"普洱",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"思茅区"
                },
                {
                  "name":"普洱哈尼族彝族自治县"
                },
                {
                  "name":"墨江哈尼族自治县"
                },
                {
                  "name":"景东彝族自治县"
                },
                {
                  "name":"景谷傣族彝族自治县"
                },
                {
                  "name":"镇沅彝族哈尼族拉祜族自治县"
                },
                {
                  "name":"江城哈尼族彝族自治县"
                },
                {
                  "name":"孟连傣族拉祜族佤族自治县"
                },
                {
                  "name":"澜沧拉祜族自治县"
                },
                {
                  "name":"西盟佤族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"临沧",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"临翔区"
                },
                {
                  "name":"凤庆县"
                },
                {
                  "name":"云县"
                },
                {
                  "name":"永德县"
                },
                {
                  "name":"镇康县"
                },
                {
                  "name":"双江拉祜族佤族布朗族傣族自治县"
                },
                {
                  "name":"耿马傣族佤族自治县"
                },
                {
                  "name":"沧源佤族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"德宏傣族景颇族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"潞西市"
                },
                {
                  "name":"瑞丽市"
                },
                {
                  "name":"梁河县"
                },
                {
                  "name":"盈江县"
                },
                {
                  "name":"陇川县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"怒江傈僳族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"泸水县"
                },
                {
                  "name":"福贡县"
                },
                {
                  "name":"贡山独龙族怒族自治县"
                },
                {
                  "name":"兰坪白族普米族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"迪庆藏族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"香格里拉县"
                },
                {
                  "name":"德钦县"
                },
                {
                  "name":"维西傈僳族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"大理白族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"大理市"
                },
                {
                  "name":"祥云县"
                },
                {
                  "name":"宾川县"
                },
                {
                  "name":"弥渡县"
                },
                {
                  "name":"永平县"
                },
                {
                  "name":"云龙县"
                },
                {
                  "name":"洱源县"
                },
                {
                  "name":"剑川县"
                },
                {
                  "name":"鹤庆县"
                },
                {
                  "name":"漾濞彝族自治县"
                },
                {
                  "name":"南涧彝族自治县"
                },
                {
                  "name":"巍山彝族回族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"楚雄彝族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"楚雄市"
                },
                {
                  "name":"双柏县"
                },
                {
                  "name":"牟定县"
                },
                {
                  "name":"南华县"
                },
                {
                  "name":"姚安县"
                },
                {
                  "name":"大姚县"
                },
                {
                  "name":"永仁县"
                },
                {
                  "name":"元谋县"
                },
                {
                  "name":"武定县"
                },
                {
                  "name":"禄丰县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"红河哈尼族彝族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"蒙自县"
                },
                {
                  "name":"个旧市"
                },
                {
                  "name":"开远市"
                },
                {
                  "name":"绿春县"
                },
                {
                  "name":"建水县"
                },
                {
                  "name":"石屏县"
                },
                {
                  "name":"弥勒县"
                },
                {
                  "name":"泸西县"
                },
                {
                  "name":"元阳县"
                },
                {
                  "name":"红河县"
                },
                {
                  "name":"金平苗族瑶族傣族自治县"
                },
                {
                  "name":"河口瑶族自治县"
                },
                {
                  "name":"屏边苗族自治县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"文山壮族苗族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"文山县"
                },
                {
                  "name":"砚山县"
                },
                {
                  "name":"西畴县"
                },
                {
                  "name":"麻栗坡县"
                },
                {
                  "name":"马关县"
                },
                {
                  "name":"丘北县"
                },
                {
                  "name":"广南县"
                },
                {
                  "name":"富宁县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"西双版纳傣族自治州",
              "sub":[
                {
                  "name":"请选择"
                },
                {
                  "name":"景洪市"
                },
                {
                  "name":"勐海县"
                },
                {
                  "name":"勐腊县"
                },
                {
                  "name":"其他"
                }
              ],
              "type":0
            },
            {
              "name":"其他"
            }
          ],
          "type":1
        },
        {
          "name":"浙江",

          "type":1
        },

        {
          "name":"香港",
          "sub":[
            {
              "name":"请选择"
            },
            {
              "name":"中西区"
            },
            {
              "name":"湾仔区"
            },
            {
              "name":"东区"
            },
            {
              "name":"南区"
            },
            {
              "name":"深水埗区"
            },
            {
              "name":"油尖旺区"
            },
            {
              "name":"九龙城区"
            },
            {
              "name":"黄大仙区"
            },
            {
              "name":"观塘区"
            },
            {
              "name":"北区"
            },
            {
              "name":"大埔区"
            },
            {
              "name":"沙田区"
            },
            {
              "name":"西贡区"
            },
            {
              "name":"元朗区"
            },
            {
              "name":"屯门区"
            },
            {
              "name":"荃湾区"
            },
            {
              "name":"葵青区"
            },
            {
              "name":"离岛区"
            },
            {
              "name":"其他"
            }
          ],
          "type":0
        },
        {
          "name":"澳门",
          "sub":[
            {
              "name":"请选择"
            },
            {
              "name":"花地玛堂区"
            },
            {
              "name":"圣安多尼堂区"
            },
            {
              "name":"大堂区"
            },
            {
              "name":"望德堂区"
            },
            {
              "name":"风顺堂区"
            },
            {
              "name":"嘉模堂区"
            },
            {
              "name":"圣方济各堂区"
            },
            {
              "name":"路凼"
            },
            {
              "name":"其他"
            }
          ],
          "type":0
        },
        {
          "name":"台湾",
          "sub":[
            {
              "name":"请选择"
            },
            {
              "name":"台北市"
            },
            {
              "name":"高雄市"
            },
            {
              "name":"台北县"
            },
            {
              "name":"桃园县"
            },
            {
              "name":"新竹县"
            },
            {
              "name":"苗栗县"
            },
            {
              "name":"台中县"
            },
            {
              "name":"彰化县"
            },
            {
              "name":"南投县"
            },
            {
              "name":"云林县"
            },
            {
              "name":"嘉义县"
            },
            {
              "name":"台南县"
            },
            {
              "name":"高雄县"
            },
            {
              "name":"屏东县"
            },
            {
              "name":"宜兰县"
            },
            {
              "name":"花莲县"
            },
            {
              "name":"台东县"
            },
            {
              "name":"澎湖县"
            },
            {
              "name":"基隆市"
            },
            {
              "name":"新竹市"
            },
            {
              "name":"台中市"
            },
            {
              "name":"嘉义市"
            },
            {
              "name":"台南市"
            },
            {
              "name":"其他"
            }
          ],
          "type":0
        },
        {
          "name":"海外",
          "sub":[
            {
              "name":"请选择"
            },
            {
              "name":"其他"
            }
          ],
          "type":0
        }
    ];
      $scope.submitData.address = '上海';//默认选择所在地上海

      var shareData = {
      title:'金融男女相亲群召集令',
      desc:'来这儿找个靠谱的金融圈男/女票吧~',
      link:'http://m.superfa.cn/#/blindHome',
      imgUrl:'http://lec.superfa.cn/upload/bann/20161110/1478749976226357341.jpg'
    };
      $lfShare.wechatShare(shareData);
  })
;