'use strict';

/**
 * api 接口映射
 */

/**
 * statusCode ----------
 *
 * api 返回 状态码映射表
 *
 * 1XXX 网络通讯错误，
 * 2xxx业务逻辑错误，
 * 3xxx系统抛出异常；
 * 20xx公用，
 * 21xx用户相关及登录，
 * 22xx产品相关，
 * 23xx订单，
 * 24xx活动相关，
 * 25xx收藏，
 * 28xx微信，
 * --------------------
 */

angular.module('starter.map', [])
    .constant('$faMAP', {
        api: {
            user: {
                login: '/login',
                register: '/register',
                logout: '/logout',
                status: '/message/msgStatus',
                edit: '/user/edit',
                info: '/user/view',
                card: '/user/cardedit',
                forget: '/user/changepwdForget',
                feedback: '/user/userFeedBack',
                getWinList:'/user/getWinList',
                inviteList:'/user/inviteFaList',
                cardedit:'/user/cardedit',
                queryBingdingCard:'/user/queryBingdingCard',
                upload: '/uploadProduct/addProduct',
                forgetLoginPwd: '/user/forgetLoginPwd',
                quickLogin: '/quickLogin',
                checkTradePwd:'/user/checkTradePwd',
                userPhoneAlias: '/jpush/changeMessageJpushUserPhoneAlias',
                queryAgreeAgreement:'/queryAgreeAgreement',
                addUserAgreeAgreement:'/addUserAgreeAgreement',
                introduce:'/comm/introduce',
                getUserForLonginName:'/user/getUserForLonginName',
                getUserSaySayForLonginName:'/user/getUserSaySayForLonginName',
                setJpushAlias:'/comm/setJpushAlias'
            },
            account: {
                index: '/account/index',
                cardList: '/bankCard/list',
                cardAdd: '/bankCard/add',
                cardQuery: '/bankCard/view/',
                cardupdate: '/bankCard/update',
                withdrawList: '/accountWithdraw/list',
                withdrawAdd: '/accountWithdraw/add',
            },
            otp: {
                normal: '/otp/sendVcode',
                register: '/otp/sendRegVcode',
                forget: '/otp/sendVcodeForget',
                account: '/otp/sendMessageCode',
                wechat: '/otp/sendVcodeWeChat',
            },
            wechat: {
                login: '/wechat/relationlogin',
                register: '/wechat/relationregister',
                shareConfig: '/wechat/jsapiwxconfig',
                appback: '/wechat/appback',
            },
            events: {
                millionProductList: '/mollionsWealth/mollionsWealthProductList',
                mollionsWealthCount: '/mollionsWealth/mollionsWealthCount',
                moneyQuestionList: '/moneyQuestion/questionList',
                moneyQuestionTops: '/moneyQuestion/tops',
                moneyQuestionResult: '/moneyQuestion/result',
                moneyQuestionHasJoinActivies: '/moneyQuestion/hasJoinActivies',
                moneyQuestionWechatInfo: '/moneyQuestion/wechatInfo',
                wechatShake: '/activity/wechatShake',
                wechatRemoveGift: '/activity/wechatRemoveGift',
                activity:'/publicActivities/list',
                activityView:'/publicActivities/view',
                activityAdd:'/publicActivities/addParticipatePerson',

                getGift:'/activitieGift/getGift',
                queryGift:'/activitieGift/queryGift'
            },
            product: {
                starList: '/projectLike/list',
                star: '/projectLike/add',
                cancelStar: '/projectLike/delete',
                list: '/product/list',
                likeList: '/projectLike/list',
                detail: '/product/view/new',
                download: '/file/download',
                simuList: '/fund/fpFundInfoQueryList',
                simuDetail: '/fund/fpFundInfoDetail',
                hs300: '/fund/queryHs300',
                orderPhos:'/product/findFpOrderPhos',
                addPhos:'/product/addFpOrderPho',
                pevcList:'/product/pevcList',
                pevcDetail:'/product/view/1',
                allSearch:'/product/allProductList',
                overseaCount: '/count/hybxCount',
                biddingQuery:'/biddingReceipt/queryBiddingReceipt',
                biddingQueryChajia:'/biddingReceipt/queryBiddingReceiptChajia',
                addBidding:'/biddingReceipt/addBiddingReceipt',
                dropBiddingReceipt:'/biddingReceipt/dropBiddingReceipt',
                recommendList:'/recommentProduct/queryRecommentProduct',
                // pId产品id  是否有提交竞价
                queryOldBiddingReceipt:'/biddingReceipt/queryOldBiddingReceipt',
                allProductListN:'/product/allProductListN',
                sendMail:'/sendEmail/sendProductInfoEmail'

            },
            productComment: {
                add: '/commentsProduct/add',
                list: '/commentsProduct/list/1',
                up: '/commentsProduct/up'
            },
            order: {
                list: '/order/list',
                applyPre: '/order/applyPre',
                applyPreTmpSM: '/order/applyPreTmpSM',
                hwbxApplyPre: '/order/addHybxOrder',
                outOrderList: '/order/myList',
                outOrderDetail: '/order/myOrderDetail',

                // 展示所有收单订单列表 产品维度
                inOrderProductList: '/order/myBiddingProjectList',
                // 收单订单-产品维度详情页-4个金额
                myBiddingProjectAmount: '/order/myBiddingProjectAmount',
                // 收单订单-产品维度详情页-指定产品下订单列表
                myBiddingOrderList: '/order/myBiddingOrderList',
                // 收单订单-产品维度详情页-订单详情页?id=123
                myBiddingOrderDetail: '/order/myBiddingOrderDetail',
                // 查询竞价
                myBiddingProjectCommission: '/order/myBiddingProjectCommission'
            },
            customer: {
                list: '/client/list',
                detail: '/client/0',
                add: '/client/addClientAndQuestion',
                questionList: '/client/questionList',
                recommentProduct: '/recommentProduct/queryRecommentProduct'
            },
            publicnom:{
                ad:'/wx'
            },
            inform:{
                zxxw:'/productNotice/queryProductNotice',
                jytz:'/notice/queryOrderNoticeByFa',
                zxgg:'/news/list',
                zxggDetail:'/news/1',
                cpxx:'/projectLike/listAll',
                dytz:'/projectLike/listSub',
                ddtz:'/notice/queryNoticeDate',
                cpxx_dytz_info:'/projectLike/productInfo',
                dytz_add:'/projectLike/add',
                dytz_del:'/projectLike/delete',
                xitong:'/news/jPushlist'
            },
            wap3:{
                homeBanner:'/advert/list',
                recPro:'/product/recommend',
                heightSearch:'/product/heightSearch'
            },

            media: {
              sendLoginVcode: '/otp/sendLoginVcode',
              applyPreMD: '/order/applyPreMD',
              mediaList: '/product/mediaSourceProductList'
            },
            blogs: {
                addBlogs: '/fpFaUserSaysay/addFpFaUserSaysay',
                blogList: '/fpFaUserSaysay/listFpFaUserSaysay',
                blogDelete: '/fpFaUserSaysay/deleteFpFaUserSaysay',
            },
            lf:{
              login:'/activity/ylyxhd',
              verify:'/otp/sendLoginVcode',
              redPacket:'/activitieGift/queryylyxhdDetail',
              ylyxhdSuccess:'/activity/ylyxhdSuccess',
              withdrawal:'/activitieGift/ylyxhdWithdrawals',
              queryylyxhdShareList:'/activitieGift/queryylyxhdShareList',
              ylyxhdInfo:'/activity/ylyxhdInfo'
            },
            video:{
                getUrl:'/getproductVideoUrl',
                listFpVideo:'/fpVideo/listFpVideo',
                playVideo:'/fpVideo/playVideo'
            },
            pay:{
                setPayPwd:'/user/addTradePwd',
                payCheck:'/user/isExistTradePwdBindingCard',
                getBankList:'/bank/list',
                bindBank:'/payCommon/confirmbindbankcard',
                getPaySmsCode:'/payCommon/sendSMSRequestBZJ',
                sendPayRequest:'/payCommon/sendPayRequestBZJ',
                sendSMSRequestYJ:'/payCommon/sendSMSRequestYJ',
                sendPayRequestYJ:'/payCommon/sendPayRequestYJ',
                //解绑银行卡--tradePwd
                releaseBindbankcard:'/payCommon/releaseBindbankcard',
                //是否设置交易密码及绑卡
                isExistTradePwdBindingCard:'/user/isExistTradePwdBindingCard'
            },
            wallet:{
                transactionLog: '/user/transactionLog',
                walletAmount: '/wallet/totalAmount',
                withdrawList: '/wallet/withdrawList',
                withdrawById: '/wallet/withdrawById',
                withdrawals: '/payCommon/withdrawals',
                transactionLogDetail: '/user/transactionLogDetailed'
            },
            myself: {
                chgLoginPwd: '/user/chgLoginPwd',
                changTradePwd: '/user/changTradePwd',
                forgetTradePwd: '/user/forgetTradePwd'
            },
            home:{
                advertList:'/advert/list'
            },
            course: {
                getCounterList: '/wjtCourse/listAllWjtCourse',
                getCounterInfo: '/wjtCourse/listenWjtCourse'
            },
            allin:{
                smartQuestion:'/smartSurveyQuestion/smartQuestion'
            },
            activity:{
                financingBlind:'/activity/financingBlind'
            }
        },
        payStatus: {
            '999':'订单取消',
            '140':'预约失败',
            '888':'订单失败',
            '110':'预约已提交',
            '120':'预约已提交',
            '130':'预约成功',
            '210':'合同已寄出',
            '220':'已签约打款',
            '240':'已确认到款',
            '310':'等待返佣',
            '320':'财务已结佣',
            '330':'确认已返佣',
            '350':'确认已返佣',
            '360':'交易结束',

            // '110': '提交预约',
            // '120': '已付订金',
            // '121': '审核通过 - 含订金到账确认',
            // '123': '向PP申请合同',
            // '124': '收到PP合同',
            // '130': '预约成功',
            // '140': '预约失败',
            // '210': '合同已寄出',
            // '220': '已签约打款',
            // '240': '已确认到款',
            // '250': '已确认到款',

            // '310': '等待返佣',
            // '311': '与PP结算中',
            // '312': '与PP结算完成',
            // '313': '与FA结算中',
            // // ----对账中
            // '314': '与FA结算完成-- -- -已对账',
            // '320': '已返佣',
            // '330': '返佣已确认',
            // '350': '返佣已确认',
            // '360': '交易结束',
            // '340': '评论',
            // '888': '订单失败',
            // '999': '订单取消',
        },
        statusCode: {
            '0000': '正常成功',
            '1001': '网络不给力哦', // 网络异常
            '1002': '超时了，刷新吧', // 链接超时
            '2001': '未登录', // 未登录
            '2002': '参数缺失', // 参数缺失
            '2003': '参数类型错误', // 参数类型错误
            '2004': '产品已募满', // 请求对象不存在
            '2005': '抱歉！未通过认证', // 身份认证不通过
            '2006': '违法操作', // 违法操作
            '2007': '重名验证错误', // 重名验证错误
            '2008': '参数校验不通过', // 参数校验不通过
            '2009': '账户密码错误', // 帐户名密码错误
            '2010': '手机验证码输入有误', // OTP校验失败
            '2011': '手机号已被注册了哦', // 注册手机号已被使用
            '2012': '账户已禁用', // 账户已经被禁用
            '2013': '账户密码错误', // 密码错误
            '2014': '该手机号尚未注册', // 手机号在本系统中不存在
            '2015': '与原卡号不一致', // 输入原卡号错误
            '2016': '请勿重复添加', // 提现账户不允许重复添加（每个人只有一个支付宝和一个银行卡）
            '2017': '请勿重复订阅', // 不能重复订阅信息
            '2018': '账户已禁用', // 账户已经被拉黑
            '2019': '请勿重复添加', // 提现账户卡号已经添加过
            '2020': '用户未通过审核', // 用户未通过审核
            '2022': '您已报名相亲活动', // 你已报名相亲活动
            '2101': '图形验证码输入有误', // 登陆验证码错误
            '2102': '未登录', // 未登录
            '2110': '手机验证码输入超时', // OTP校验失败-验证码超时
            '2212': '获取视频失败',
            '2120': '请正确输入手机号码', // 获取OTP校验失败-手机号为空
            '2130': '请休息一会再操作', // OTP获取太频繁
            '2201': '返回的产品对象异常', // 返回的产品对象异常
            '2202': '别贪心哦！超出您的可提现金额了！', // 提现额度大于可提现额度
            '2203': '微信-openid已经关联',
            '2209': '邮箱地址错误',
            '2213': '已点赞', // 已点赞
            '2400': '活动已过期', // 活动未开始或已过期
            '2401': '没有SOURCE_CODE', // 没有SOURCE_CODE
            '2402': '抱歉！参与人数已满', // 活动参与人数已满
            '2403': '抱歉！活动已结束', // 活动报名时间已经结束
            '2404': '调研问卷活动-分数未找到', // 调研问卷活动-分数未找到
            '2405': '调研问卷活动-一份答案多次提交', // 调研问卷活动-一份答案多次提交
            '2406': '调研问卷活动-已经参与过此调查', // 调研问卷活动-已经参与过此调查
            '2407': '调研问卷活动-没有答案', // 调研问卷活动-没有答案
            '2408': '调研问卷活动-已经参与过此调查，单未登录领取', // 调研问卷活动-已经参与过此调查，单未登录领取
            '2411': '该产品不可预约,请拨打客服电话400-855-8085',
            '2412': '今日红包已发完，下次再来',
            '2501': '您已收藏过该产品', // 产品已经收藏
            '2502': '您已订阅过该产品', // 产品已经订阅
            '2601': '请重新选择上传文件', // 没有文件上传
            '2602': '上传文件类型错误', // 上传文件类型错误
            '2603': '无法保存！重新选择保存路径', // 文件保存路径异常
            '2701': '客户名下有订单，无法删除', // 客户名下有订单，无法删除
            '2301': '抱歉！请重新输入购买金额', // 订单购买金额不在区间内
            '2302': '抱歉！认购金额小于起购金额', // 订单购买金额小于起购金额
            '2303': '抱歉！认购金额超出预售金额', // 订单购买金额大于预售金额
            '2304': '累进金额错误', // 累进金额错误
            '2305': '订单编号生成错误', // 订单编号生成错误
            '2306': '预热中,请拨打客服电话预约产品', // 起售时间晚于当前时间的产品
            '2307': '机构账户不能预约',
            '2801': '微信-获取code错误', // 微信-获取code错误
            '2802': '微信-获取access_token错误', // 微信-获取access_token错误
            '2803': '微信-获取用户信息错误', // 微信-获取用户信息错误
            '2804': '微信-需要关联用户', // 微信-需要关联用户
            '2805': '微信-关联失败', // 微信-关联失败
            '2806': '微信-用户已经关联', // 微信-用户已经关联
            '2807': '微信-openid已经关联', // 微信-openid已经关联
            '2808': '您已认证过，请填写认证手机号',
            '2809': '今日红包已发完，下次再来',
            '2810': '提现失败，请电话联系客服',
            '2901': '您已经领取过红包，请继续邀请好友帮您解锁更多金额！',
            '2902': '亲，活动已结束！',
            '2903': '亲，您动作太慢，红包已被抢光！',
            '3001': '系统异常,请稍后重试', // 系统掷出类异常
            '3100': '必须有一条大于当前佣金',
            '3101': '竞价价格必须大于官网报价',
            '3103': '请填写完整的信息',
            '3104': '返佣比例最多支持两位小数',
            '3105': '协议价不能竞价 ',
            '3106': '产品不能竞价 ',
            '4001': '支付-此前已经绑卡',
            '4002': '支付-银行卡已被他人绑定',
            '4003': '支付-身份证已被他人绑定',
            '4004': '支付-银行卡已被绑定',
            '4005': '支付-未设置对应的银行信息',
            '4006': '支付-交易密码和登录密码不能一样',
            '4007': '支付-还未绑定银行卡',
            '4008': '支付-交易密码不存在',
            '4009': '支付-新旧密码不能一致',
            '4010': '支付-旧交易密码不正确',
            '4011': '交易密码错误',
            '4012': '绑卡失败',
            '4013': '支付-订单状态已经支付',
            '4014': '支付-支付失败',
            '4015': '提现失败',
            '4016': '最多支持绑定三张卡',
            '9001': '上传的文件太大了',
            '9002': '未知错误,请联系管理员', // 异常，请联系管理员
            '10001': '请勿频繁操作' // 操作太频繁了，休息一下
        },
        industry: {
            '01': '基金',
            '02': '证劵',
            '03': '期货',
            '04': '投资',
            '05': '银行',
            '06': '保险',
            '07': '信托',
            '08': '担保',
            '09': '拍卖',
            '10': '典当',
            '11': '其他'
        },
        working: {
            '1': '一年以下',
            '2': '一年',
            '3': '两年',
            '4': '三年',
            '5': '四年',
            '6': '五年',
            '7': '五年以上'
        },
        user: {
            id: 'id',
            name: 'uName',
            email: 'uEmail',
            cardAddress: 'uCardAddress',
            realName: 'uRealName',
            type: 'userType',
            role: 'uRole',
            mobile: 'uLoginName',
            avatar: 'uImage',
            industry: 'trade',
            working: 'tradeAge',
            intro: 'uRemark',
            companyName: 'uCompanyName',
            job: 'uJob',
            auditOpinion: 'uAuditnOpinion',
            number:'uNumber',
            numberType:'uNumberType'
        },
        bankType: {
            '001': '工商',
            '002': '农业',
            '003': '建设',
            '004': '中国',
            '005': '招商',
            '006': '交通',
            '007': '支付宝'
        },
        investType: {
            '01': '房地产类',
            '02': '金融市场',
            '03': '基础设施',
            '04': '其他',
            '05': '城投债',
            '06': '工商企业',
        },
        role: {
            '1': '未提交资料',
            '2': '初级',
            '3': '中级',
            '4': '高级',
            '98': '审核中',
            '99': '审核失败'
        },
        regular: {
            name: /^[\u4e00-\u9fa5_a-zA-Z]{2,20}$/,
            email: /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/,
            mobile: /^1\d{10}$/,
            integer: /^[1-9]\d*$/,
            needLogin: /(user)|(customer)/,
            image: /jpg|png|jpeg/i
        },
        biddingProductStatus:{
            '1':'审核中',      // 
            '2':'竞价失败',    // 审核失败
            '3':'承销中',      // 审核成功
            '4':'承销失效',    // 承销失效
            '5':'放弃承销',    // 放弃承销
            '6':'收回承销',    // 收回承销
        }
    });
