angular.module('starter.wallet', [])  
  .controller('walletIndexCtrl', function($scope, $stateParams, $faAPI, $filter) {

    $scope.list = {};
    var t = '';
    $scope.pager = {
      pagerNo: 1,
      pageSize: 10,
      hasNaxtPage: true
    };

    // $faAPI.wallet.transactionLog().then(function(json){
    //   if(json){
    //     $scope.list = json.list;

    //     angular.forEach($scope.list, function(o){
    //       if(o.payType != 'txyj' && o.payType != 'txbzj'){
    //         o.payStatusText = '支付' + $filter('walletStatusRender')(o.payStatus);
    //       }else{
    //         o.payStatusText = '提现' + $filter('walletStatusRender')(o.payStatus);
    //       }
    //     });

    //     $scope.pager = json.pager;
    //     $scope.$broadcast('scroll.infiniteScrollComplete');
    //   }
    // });

    var isFirstLoad = true;
    $scope.loadMore = function() {
      if(!isFirstLoad){
        $scope.pager.pageNo++;
      }else{
        isFirstLoad = false;
      }
      $faAPI.wallet.transactionLog($scope.pager).then(function(json){
        if(json){
          
          if($scope.list && $scope.list.length >= 1){
            $scope.list = $scope.list.concat(json.list);
          }else{
            $scope.list = json.list;
          }

          angular.forEach($scope.list, function(o){
            if(o.payType != 'txyj' && o.payType != 'txbzj'){
              o.payStatusText = '支付' + $filter('walletStatusRender')(o.payStatus);
            }else{
              o.payStatusText = '提现' + $filter('walletStatusRender')(o.payStatus);
            }
          });

          $scope.pager = json.pager;
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }
      });
    }

    $faAPI.wallet.walletAmount().then(function(json){
      if(json){
        $scope.walletAmount = json;
      }
    });

  })
  .controller('withdrawIndexCtrl', function($scope, $stateParams, $faAPI) {

    $scope.withdrawList = {};
    $faAPI.wallet.withdrawList().then(function(json){
      console.log(json);
      if(json){
        $scope.withdrawList = json.result;
      }
    });

  })
  .controller('doWithdrawIndexCtrl', function($scope, $stateParams, $faAPI, $ionicPopup, $faModal, $rootScope, $state, $faPopup) {

    var id = $stateParams.id;
    $scope.withdraw = {};
    $scope.submitWithdraw = {};
    $scope.bindingCard = {};

    // 查询提现金额
    $faAPI.wallet.withdrawById({id: id}).then(function(json){
      if(json){
        $scope.withdraw = json.result;
        $scope.submitWithdraw.youDanAmountDetailId = $scope.withdraw.id;
      }
    });

    var btnText = '', 
        titleText = '';
    // 查询是否有交易密码和银行卡
    $faAPI.pay.payCheck().then(function(json){
      if(json){
        if(!json.tradePwd || json.tradePwd == 0){
          $rootScope.doWithdraw = id;
          // 提示设置交易密码
          btnText = '去设置';
          titleText = '请先设置交易密码';
          top(1);
        }else if(!json.bindingCard || json.bindingCard == 0){
          // 提交设置银行卡
          btnText = '去绑定';
          titleText = '请先绑定银行卡';
          top(2);
        }else{
          $faAPI.user.queryBingdingCard().then(function(json){
            if(json){
              if(json.list.length >= 1){
                $scope.bindingCard = json.list[0];
              }else{
                alert('跳转到绑卡页面!');
              }
            }
          });
        }
      }
    });

    function top(t){
      var myPopup = $ionicPopup.show({
        title: titleText,
        scope: $scope,
        buttons: [
          { 
            text: '取消',
            type: 'confirmLoginCancel',
            onTap: function(e) {
              $state.go('app.withdraw');
            }
          },
          {
            text: btnText,
            type: 'button-positive confirmLogin',
            onTap: function(e) {
              if(t == 1){
                // 跳转到设置密码
                $state.go('app.tradePassword');
              }else if(t == 2){
                // 跳转到绑定银行卡
                $state.go('banklist', {goid: 4});
              }
            }
          }
        ]
      });
    }

    var myPopup;
    $scope.doWithdraw = function(){
      $scope.showPopup();
    }

    $scope.toForgetTradePwd = function(){
      $rootScope.doWithdrawId = id || 0;
      myPopup.close();
      $state.go('app.myself.settings.zhpwd', {cs: '1'});
    }

    $scope.withdrawResult = {};
    $scope.showPopup = function() {
      $scope.data = {};
      myPopup = $ionicPopup.show({
        template: '<div style="width: 100%; text-align: center;" > <p>提现</p> <p style="color: #fc353a; font-size: 40px;"><span style="font-size: 18px;">￥</span>'+$scope.withdraw.amount+'</p> <div style="width: 80%; background-color: #efefef; margin: 0px auto; border-radius: 2px; border: 1px solid #e4e4e4;"> <input type="password" name="wp" spellcheck="false" placeholder="请输入交易密码" ng-model="data.password" style="width: 110px; margin: 0px auto; background: none; text-align: center;" maxlength="6"> </div> <div ng-click="toForgetTradePwd()" style="text-align: right;font-size: 12px; color: #ff7000; position: relative; top: 10px;">忘记交易密码?</div> </div>',
        title: '请输入交易密码',
        scope: $scope,
        buttons: [
          { text: '取消' },
          {
            text: '<b>确认</b>',
            type: 'button-default',
            onTap: function(e) {
              if (!$scope.data.password) {
                e.preventDefault();
              } else {
                return $scope.data.password;
              }
            }
          }
        ]
      });

      myPopup.then(function(res) {
        if(res){
          $scope.submitWithdraw.tradePwd = res;
          $scope.submitWithdraw.cardId = $scope.bindingCard.cardId;
          // console.log($scope.submitWithdraw);

          // 申请提现
          $faAPI.wallet.withdrawals($scope.submitWithdraw).then(function(json){
            if(json){
              if(json.statusCode == '4011'){
                $faPopup.alert({
                  title: '交易密码错误!'
                });
              }else if(!json.statusCode){
                $scope.withdrawResult = json;
                $scope.modal.okWithdraw();
              }
            }
          });
        }
      });
    }

    $faModal('okWithdraw', 'views/wallet/modal/okWithdraw.html', $scope, {
      initialize: function() {
        var self = this;
        self.data = {
          bankName: $scope.withdrawResult.payMode,
          amount: $scope.withdrawResult.payAmt
        };
      },
      toWithdraw: function(){
        var self = this;
        self.hide();
        // self.remove();
        $state.go('app.myself.wallet');
      }
    });

    var popBankCard = '';
    $scope.bankList = {};
    $scope.selectCardBank = function(){
      var t = '<div class="list select-bank-card-template"> ';

      $faAPI.user.queryBingdingCard().then(function(res){
        $scope.bankList = res.list;

        angular.forEach($scope.bankList, function(b){
          t += '<a ng-click="chooseBankCard(' + b.cardId + ')" class="item item-icon-right" href="javascript:"> ' + b.bankName + 
               ' (' + b.bankCard + ') <i class="icon ion-chevron-right"></i> </a> ';
        });
        t += '<a ng-click="toBankCard()" class="item item-icon-right" href="javascript:"> 使用新卡支付 <i class="icon ion-chevron-right"></i> </a>' + 
             '</div>';

        popBankCard = $ionicPopup.show({
          template: t,
          title: '<!--<i class="icon ion-chevron-left select-bank-card-title"></i>-->选择支付方式',
          scope: $scope,
          buttons:[{text: '取消'}]
        });
      });

    }

    $scope.toBankCard = function(){
      popBankCard.close();
      $state.go('banklist', {goid: 4});
    }

    $scope.chooseBankCard = function(c){
      if(c){
        angular.forEach($scope.bankList, function(b){
          if(b.cardId == c){
            $scope.bindingCard = b;
          }
        });

        popBankCard.close();
      }
    }
  })
  .controller('walletDetailCtrl', function($scope, $stateParams, $faAPI, $filter) {
    var wid = $stateParams.wid;

    $scope.detail = {};

    $faAPI.wallet.transactionLogDetail({platSerialNo: wid}).then(function(json){
      if(json){
        $scope.detail = json.bean;

        if($scope.detail.payType != 'txyj' && $scope.detail.payType != 'txbzj'){
          $scope.detail.payStatusText = '支付' + $filter('walletStatusRender')($scope.detail.payStatus);
          $scope.detail.moneyType = 'pay';
        }else{
          $scope.detail.payStatusText = '提现' + $filter('walletStatusRender')($scope.detail.payStatus);
          $scope.detail.moneyType = 'tx';
        }
      }
    });
  })
;